import { select, selectAll } from 'd3';

function render() {
  
	console.log(newData)
  const svgCircle = select('svg').selectAll('circle').data(newData);
	const svgText = select('svg').selectAll('text').data(newData);
  
  svgCircle.enter().append('circle')
    .merge(svgCircle)
      .attr('r', 50)
      .attr('fill', d => d.fill)
      .attr('opacity', 0.5)
      .attr('cx', (d, i) => i* 120 + 100)
      .attr('cy', d => d.y)
  
  svgText.enter().append('text')
  	.merge(svgText)
  		.attr('x', (d, i) => i* 120 + 100)
      .attr('y', d => d.y)
    	.text(d => d.text)
  
  svgCircle.exit().remove();
  svgText.exit().remove();
};

let newData = [{text: 'X', fill: 'blue', y: 300}, {text: 'Y', fill: 'blue', y: 300}, {text: 'Z', fill: 'blue', y: 300}];
render(newData)

const myButton = selectAll('button').on('click', 
  function(){
    newData = (this.id == 'DEF' )
      ? [{text: 'D', fill: 'red', y: 150}, {text: 'E', fill: 'red', y: 150}, {text: 'F', fill: 'red', y: 150}, {text: 'Y', fill: 'red', y: 150}]
      : [{text: 'A', fill: 'green', y: 100}, {text: 'B', fill: 'green', y: 100}, {text: 'C', fill: 'green', y: 100}]
    render(newData);
})


